# MSThreads.hh File Reference

`#include <string>`
`#include <windows.h>`

Include dependency graph for MSThreads.hh:

Go to the source code of this file.

## Namespaces

namespace | log4cpp
namespace | log4cpp::threading

## Classes

class | log4cpp::threading::MSMutex
| A simple object wrapper around CreateMutex() and DeleteMutex(). More...
class | log4cpp::threading::MSScopedLock
| A simple object wrapper around WaitForSingleObject() and ReleaseMutex(). More...
class | log4cpp::threading::ThreadLocalDataHolder< T >
| This class holds Thread local data of type T, i.e. More...

## Defines

#define | NOGDI
#define | LOG4CPP_UNDEFINE_NOGDI
#define | LOG4CPP_UNDEFINE_WIN32_LEAN_AND_MEAN

## Typedefs

typedef MSMutex | log4cpp::threading::Mutex
| A simple, non recursive Mutex.
typedef MSScopedLock | log4cpp::threading::ScopedLock
| A simple "resource acquisition is initialization" idiom type lock for Mutex.

## Functions

static std::string | log4cpp::threading::getThreadId ()
| returns the thread ID

## Define Documentation

#define LOG4CPP_UNDEFINE_NOGDI

#define LOG4CPP_UNDEFINE_WIN32_LEAN_AND_MEAN

#define NOGDI